<template>

<div class="dashboard-container">
        <!-- right content -->
        <div id="mainContent">
          <!-- title dashboard -->
          <div class="title-dashboard">
            <h2>Mes informations</h2>
          </div>

          <div class="button-group">
            <button type="button" class="btn btn-transparent btn-border--blue">
              <i class="fas fa-edit"></i>
              modifier mes informations
            </button>
            <button type="button" class="btn btn-green">
              <i class="fas fa-camera-retro"></i>
              modifier ma photo
            </button>
          </div>

          <!-- infos users -->
          <div class="user-info-wrapper">
            <div class="white-card mh">
              <div class="info-user-line">
                <label><strong>Nom:</strong> </label>
                <span>{{ currentUser.lastName }}</span>
              </div>
              <div class="info-user-line">
                <label><strong>Prénom:</strong></label>
                <span>{{ currentUser.firstName }}</span>
              </div>
            </div>
            <div class="white-card mh">
              <div class="info-user-line">
                <label><strong>Adresse:</strong></label>
                <span>A définir</span>
              </div>
              <div class="info-user-line">
                <label><strong>Téléphone:</strong></label>
                <span>A définir</span>
              </div>
              <div class="info-user-line">
                <label><strong>Mail:</strong></label>
                <span> {{ currentUser.email }}</span>
              </div>
            </div>
          </div>

          <div class="py-5">
            <button
              type="button"
              class="btn btn-squared btn-blue"
              data-toggle="modal"
              data-target="#modalPhoto"
            >
              <i class="fas fa-key"></i>
              modifier mon mot de passe
            </button>
          </div>
        </div>
      </div>
</template>


<script>

import { mapGetters } from 'vuex'

export default {
    name: "dashboard",
    computed: {
    ...mapGetters({ currentUser: 'currentUser' })
},
};
</script>
